Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Interface Transport

All Known Implementing Classes:
  AbstractTransport, JSONPTransport, JSONTransport

    public interface Transport

Method Summary
`void` | `complete()`
`org.cometd.Message` | `getMetaConnectReply()`
`boolean` | `isMetaConnectDeliveryOnly()`
`void` | `send(org.cometd.Message message)`
`void` | `setMetaConnectReply(org.cometd.Message reply)`
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)`

Method Detail

### setResponse

    void setResponse(javax.servlet.http.HttpServletResponse response)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### send

    void send(org.cometd.Message message)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### complete

    void complete()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMetaConnectReply

    org.cometd.Message getMetaConnectReply()

### setMetaConnectReply

    void setMetaConnectReply(org.cometd.Message reply)

### isMetaConnectDeliveryOnly

    boolean isMetaConnectDeliveryOnly()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.